# 表示モード

## フルスクリーンモード

<img :src="$withBase('/images/fullscreen-icon.jpg')" style="width: 50px;">

画面拡大・縮小アイコンボタンをクリックまたはタップすると、フルスクリーンモードのオン・オフを切り替えることができます。

フルスクリーンモードがオンの状態では、ボタンをクリック／タップする以外に、Esc キーを押すことでフルスクリーンモードを解除できます。

## 地下モード

<img :src="$withBase('/images/underground.jpg')" style="width: 662px;"> <img :src="$withBase('/images/eye-icon.jpg')" style="width: 49px; vertical-align: top;">

眼アイコンボタンをクリックまたはタップすると、地下モードのオン・オフを切り替えることができます（オンの状態でアイコンは水色で表示されます）。

地下モードがオンの状態では、地図が暗転して地上の路線や駅、列車や旅客機が半透明になる一方で、地下の路線、駅、列車が明るく表示されます。

地下モードがオフの状態では、地図が通常表示に戻って地上の路線や駅、列車や旅客機が明るく表示され、地下の路線、駅、列車は半透明になります。

このほか、地下モードがオフの状態で地下の列車をクリックまたはタップしたり、地下モードがオンの状態で地上の列車をクリックまたはタップしたりするとモードが切り替わります。また、追跡中の列車が地上から地下に入ったり、地下から地上に出るときもモードが自動的に切り替わります。

## 追跡モード

<img :src="$withBase('/images/helicopter-tracking.jpg')" style="width: 400px;"> <img :src="$withBase('/images/helicopter-icon.jpg')" style="width: 49px; vertical-align: top;"> <img :src="$withBase('/images/rear-tracking.jpg')" style="width: 400px;"> <img :src="$withBase('/images/train-icon.jpg')" style="width: 49px; vertical-align: top;">

列車や旅客機をクリックまたはタップすると、追跡モードがオンに切り替わり、列車や旅客機の動きに追随して画面が自動的に移動します（オンの状態でアイコンは水色で表示されます）。列車や旅客機が存在しない地図上をクリックすると、追跡モードがオフに切り替わります。

ヘリコプターアイコンは「ヘリコプター追跡モード」を示しており、対象の列車や旅客機を中心に360度旋回を行います。列車アイコンは「進行方向追跡モード」を示しており、対象の列車や旅客機の上空または斜め後方から進行方向を上にして追跡します。アイコンボタンをクリックまたはタップすると「ヘリコプター追跡モード」と「進行方向追跡モード」が交互に切り替わります。

追跡モードがオンの状態では、追跡中の列車の時刻表と現在位置が画面下部に表示されます。他社路線に乗り入れる列車については、乗り入れ先の路線の時刻表も含めて表示されます。時刻表はマウスホイール、スクロールバーのドラッグ、もしく指でのドラッグにてスクロールさせることができます。時刻表の右上の「∨」アイコンをクリックすると時刻表が画面下部に隠れ、「∧」アイコンをクリックすると再表示されます。

また、追跡モードがオンの状態では、デバイスによっては追跡中の列車やフライトをシェアするための[シェアボタン](./screen-and-operations.md#%E5%88%97%E8%BB%8A%E3%83%BB%E3%83%95%E3%83%A9%E3%82%A4%E3%83%88%E3%81%AE%E3%82%B7%E3%82%A7%E3%82%A2)が表示されます。

## 再生モード

<img :src="$withBase('/images/playback-icon.jpg')" style="width: 49px;">

再生アイコンボタンをクリックまたはタップすると、再生モードのオン・オフを切り替えることができます（オンの状態でアイコンは水色で表示されます）。

再生モードがオンの状態では、時刻や時間の経過速度を自由に変えることができるため、特定の日時の列車の運行を確認したり、一日の列車の運行をまるで鉄道模型の動きを見るように楽しむことができます。この状態では、列車は時刻表通りの運行になり、リアルタイムの情報は反映されません。また、旅客機は当日の離着陸便のみが表示されます。

再生モードがオフの状態では、列車や旅客機は現在時刻の実際の運行に合わせて地図上に表示されます。リアルタイム情報を利用しているため、列車の遅延や旅客機のスケジュールの変更がある場合にはそれに合わせて地図上の位置が変わります。

再生モードをオンにすると、時刻表示のすぐ下に「日付時刻を変更」ボタンと再生速度を変更するための「＋」「−」ボタンが現れます。ここで「日付時刻を変更」ボタンを押すと、日付時刻編集モードに入ります。年・月・日・時・分・秒を表す数字の上下に「＋」「−」ボタンが現れるので、このボタンを使用して日付時刻を変更し、「OK」ボタンを押すと変更が確定されます。「キャンセル」ボタンを押すと、変更がキャンセルされて元の設定時刻に戻ります。また、再生速度を表す数字の左右にある「＋」「−」ボタンを押すと、再生速度が変わります。1倍速（現実の時間の流れと同じ速度）〜600倍速の間で設定することが可能です。1〜10倍速の間は1刻み、10〜100倍速の間は10刻み、100〜600倍速の間は100刻みになります。

<img :src="$withBase('/images/clock-playback.jpg')" style="width: 141px;"> <img :src="$withBase('/images/clock-edit.jpg')" style="width: 292px; vertical-align: top;">

## エコモード

電池アイコンボタンをクリックまたはタップすると、エコモードのオン・オフを切り替えることができます（オンの状態でアイコンは水色で表示されます）。

エコモードがオンの状態では、列車や航空機の表示間隔が大きくなり、電力の消費とデバイスの発熱を抑えられます。バッテリーで動作するモバイルデバイスでの利用に適しています。

エコモードがオフの状態では、列車や航空機は60フレーム/秒の滑らかなアニメーションで表示されます。電源に繋がったPCや表示端末上での利用に適しています。

<img :src="$withBase('/images/battery-icon.jpg')" style="width: 49px; vertical-align: top;">
