# Display Modes

## Full Screen Mode

<img :src="$withBase('/images/fullscreen-icon.jpg')" style="width: 50px;">

Click or tap the screen zoom icon to toggle Full Screen Mode on or off.

When Full Screen Mode is on, you can cancel Full Screen Mode by pressing Esc key instead of clicking / tapping the button.

## Underground Mode

<img :src="$withBase('/images/underground.jpg')" style="width: 662px;"> <img :src="$withBase('/images/eye-icon.jpg')" style="width: 49px; vertical-align: top;">

Click or tap the eye icon button to turn Underground Mode on or off (the icon is in light blue when it is on).

When Underground Mode is on, the map will turn dark and overground railways, stations, trains and airplanes will be translucent, while underground railways, stations and trains will appear brighter.

When Underground Mode is off, the map will return to normal, overground railways, stations, trains and airplanes will be displayed brightly, and underground railways, stations and trains will be translucent.

You can also switch modes by clicking or tapping underground trains with Underground Mode off, or clicking or tapping overground trains with Underground Mode on. In addition, the mode is automatically switched when the train being tracked enters the underground from the ground or exits from the underground to the ground.

## Tracking Mode

<img :src="$withBase('/images/helicopter-tracking.jpg')" style="width: 400px;"> <img :src="$withBase('/images/helicopter-icon.jpg')" style="width: 49px; vertical-align: top;"> <img :src="$withBase('/images/rear-tracking.jpg')" style="width: 400px;"> <img :src="$withBase('/images/train-icon.jpg')" style="width: 49px; vertical-align: top;">

Click or tap on a train or airplane to turn Tracking Mode on and the screen will automatically follow the movement of the train or airplane (the icon will appear in light blue when it is on). Clicking on a map with no trains or airplanes turns Tracking Mode off.

The helicopter icon indicates the “Helicopter Tracking Mode”, and it makes a 360 degree turn around the target train or airplane. The train icon indicates the “Heading Tracking Mode”, and it tracks the target train or airplane from above or diagonally behind in the direction of travel up. Click or tap the icon button to toggle between the “Helicopter Tracking Mode” and the “Heading Tracking Mode”.

When Tracking Mode is on, the timetable and current position of the train being tracked is displayed at the bottom of the screen. For the train connecting to other lines, the timetables of those lines are also shown. The timetable can be scrolled by using the mouse wheel, dragging the scroll bar, or dragging your finger. Click on the "∨" icon in the upper right corner of the timetable to hide the timetable at the bottom of the screen, or click on the "∧" icon to display it again.

Also, when Tracking Mode is on, some devices will display the [share button](./screen-and-operations.md#sharing-trains-and-flights) to share the train or flight being tracked.

## Playback Mode

<img :src="$withBase('/images/playback-icon.jpg')" style="width: 49px;">

Click or tap the playback icon button to switch Playback Mode on or off (the icon is in light blue when it is on).

When Playback Mode is on, you can change the date and time and the speed at which time progresses, so you can check the operation of a train on a specific date and time, or enjoy the train operation throughout the entire day as if you were watching model trains in motion. In this state, trains will run according to the timetables and no real-time information will be reflected. For airplanes, only the flights taking off and landing that day will be displayed.

When Playback Mode is off, trains and airplanes are displayed on the map according to the actual operation at the current time. Because it uses real-time information, the location on the map will change accordingly if there is a train delay or flight schedule change.

When Playback Mode is turned on, the “Edit date & time” button and the “+” and “-” buttons to change the playback speed appear just below the time display. If you click or tap the “Edit date & time” button, you will enter the date/time editing mode. The “+” and “-” buttons appear above and below the year, month, day, hour, minute, and second numbers. Use these buttons to change the date and time, and click or tap the "OK" button to confirm the change. Clicking or tapping the "Cancel" button will cancel the change and return to the original setting time. You can also change the playback speed by clicking or tapping the “+” and “-” buttons on the left and right of the number that indicates the speed. It can be set to between 1x (the same speed as real time) and 600x, in increments of 1 from 1x to 10x, 10 from 10x to 100x, and 100 from 100x to 600x.

<img :src="$withBase('/images/clock-playback.jpg')" style="width: 141px;"> <img :src="$withBase('/images/clock-edit.jpg')" style="width: 292px; vertical-align: top;">

## Eco Mode

Click or tap the battery icon button to turn on or off the Eco Mode (the icon is in light blue when it is on).

When Eco Mode is on, the display interval for trains and airplanes will be increased to reduce power consumption and device heating. This is suitable for use with mobile devices that run on battery power.

When Eco Mode is off, trains and airplanes are animated smoothly at 60 frames per second. Suitable for use on a PC or display device connected to a power source.

<img :src="$withBase('/images/battery-icon.jpg')" style="width: 49px; vertical-align: top;">
