# Mini Tokyo 3D Overview

<img :src="$withBase('/images/screenshot1.jpg')">

Mini Tokyo 3D is a real-time 3D map of public transportation in Tokyo. Trains in operation and airplanes that are arriving or departing are represented on a realistic 3D map with smooth animation. This is a “digital twin” that looks exactly like the real world in the digital world.

Users can freely move around on the 3D map and zoom in on the places they want to see to know the “now” of Tokyo. It can be used in various ways such as looking for the transfer route as a route map, checking the destination town and weather before going out, just watching the way along the railway by automatically tracking a train and judging if you should dash to not miss the final train from the current position of the train.

Mini Tokyo 3D is a web application that you can run in any web browser, regardless of device, such as PCs, smartphones, tablets, and set-top boxes. Please use the following URL to access.

[https://minitokyo3d.com](https://minitokyo3d.com)

The features of Mini Tokyo 3D are as follows.

## All in Real-Time

<img :src="$withBase('/images/day-night.jpg')" style="width: 640px;">

You can view trains and airplanes that operate according to actual timetables and real-time delay information from your favorite point of view. The color of the scenery changes according to the sunrise and sunset times in Tokyo, and the sunset glow can be seen. In addition, a rain animation based on real-time weather information is displayed, so you can enjoy more realistic scenery.

## Easy-To-Read Railroad Map

<img :src="$withBase('/images/transit.jpg')" style="width: 328px;">

Mini Tokyo 3D is using the same line colors used in official route maps and guidance, and arranges each railway at an appropriate interval according to the scale of the map to display the route in an easy-to-read form. If the names of two or more stations are different, but passengers can transfer from one to others, the connections between the stations are displayed to support smooth transfer. The shape of the train is a simple solid color cuboid that enhances symbolism.

## Operability and Performance

<img :src="$withBase('/images/performance.jpg')" style="width: 537px;">

Over 2,200 trains run at the same time during the rush hour, but with the optimized data structure and processing logic, a very smooth operation animation is realized even on smartphones. Smooth animation of 60 frames per second is used everywhere, including viewpoint movement, switching between overground and underground views, and fading in and out of trains and airplanes.

## Support for 4 Languages

<img :src="$withBase('/images/multilanguage.jpg')" style="width: 219px;">

In addition to Japanese, Mini Tokyo 3D supports English, Chinese (Simplified and Traditional) and Korean, which are popular with tourists visiting Japan. Not only the user interface texts but also railway names, station names, train types, airport names and airline names are also multilingualized. For the user interface texts, Thai and Nepali are also supported.

## Switching Views Between Overground and Underground

<img :src="$withBase('/images/shinjuku-overground.jpg')" style="width: 300px;"> <img :src="$withBase('/images/shinjuku-underground.jpg')" style="width: 300px;">

The railway network in Tokyo is one of the most complex in the world. Mini Tokyo 3D is pursuing ease of viewing by switching between the overground and underground railway networks as well as clearly expressing subway train operations that are invisible in reality.

## Practical Real-Time Route Search

<img :src="$withBase('/images/route-search.jpg')" style="width: 563px;">

Mini Tokyo 3D is equipped with a unique route search function that uses real-time delay information. It displays multiple candidate travel routes based on train delays on an easy-to-understand 3D map through intuitive operation with gesture support on mobile devices.
