# Mini Tokyo 3D API Overview

Using Mini Tokyo 3D API in JavaScript, you can customize Mini Tokyo 3D in a variety of ways.

Class/Object/Interface | Details
:--|:--
[`Map`](./map.md) | **Parameters**<br>[`options`](./map.md#options-object)<br>**Instance Members**<br>[`addLayer`](./map.md#addlayer-layer) [`easeTo`](./map.md#easeto-options) [`flyTo`](./map.md#flyto-options) [`getBearing`](./map.md#getbearing) [`getCenter`](./map.md#getcenter) [`getClockMode`](./map.md#getclockmode) [`getEcoMode`](./map.md#getecomode) [`getMapboxMap`](./map.md#getmapboxmap) [`getModelPosition`](./map.md#getmodelposition-lnglat-altitude) [`getModelScale`](./map.md#getmodelscale) [`getPitch`](./map.md#getpitch) [`getSelection`](./map.md#getselection) [`getTrackingMode`](./map.md#gettrackingmode) [`getViewMode`](./map.md#getviewmode) [`getZoom`](./map.md#getzoom) [`hasDarkBackground`](./map.md#hasdarkbackground) [`jumpTo`](./map.md#jumpto-options) [`off`](./map.md#off-type-listener) [`on`](./map.md#on-type-listener) [`once`](./map.md#once-type-listener) [`removeLayer`](./map.md#removelayer-id) [`setBearing`](./map.md#setbearing-bearing) [`setCenter`](./map.md#setcenter-center) [`setClockMode`](./map.md#setclockmode-mode) [`setEcoMode`](./map.md#setecomode-mode) [`setLayerVisibility`](./map.md#setlayervisibility-layerid-visibility) [`setPitch`](./map.md#setpitch-pitch) [`setSelection`](./map.md#setselection-id) [`setTrackingMode`](./map.md#settrackingmode-mode) [`setViewMode`](./map.md#setviewmode-mode) [`setZoom`](./map.md#setzoom-zoom)<br>**Events**<br>[`boxzoomcancel`](./map.md#boxzoomcancel) [`boxzoomend`](./map.md#boxzoomend) [`boxzoomstart`](./map.md#boxzoomstart) [`click`](./map.md#click) [`clockmode`](./map.md#clockmode) [`contextmenu`](./map.md#contextmenu) [`dblclick`](./map.md#dblclick) [`deselection`](./map.md#deselection) [`drag`](./map.md#drag) [`dragend`](./map.md#dragend) [`dragstart`](./map.md#dragstart) [`ecomode`](./map.md#ecomode) [`error`](./map.md#error) [`load`](./map.md#load)[`mousedown`](./map.md#mousedown) [`mousemove`](./map.md#mousemove) [`mouseout`](./map.md#mouseout) [`mouseover`](./map.md#mouseover) [`mouseup`](./map.md#mouseup) [`move`](./map.md#move) [`moveend`](./map.md#moveend) [`movestart`](./map.md#movestart) [`pitch`](./map.md#pitch) [`pitchend`](./map.md#pitchend) [`pitchstart`](./map.md#pitchstart) [`resize`](./map.md#resize) [`rotate`](./map.md#rotate) [`rotateend`](./map.md#rotateend) [`rotatestart`](./map.md#rotatestart) [`selection`](./map.md#selection) [`touchcancel`](./map.md#touchcancel) [`touchend`](./map.md#touchend) [`touchmove`](./map.md#touchmove) [`touchstart`](./map.md#touchstart) [`trackingmode`](./map.md#trackingmode) [`viewmode`](./map.md#viewmode) [`wheel`](./map.md#wheel) [`zoom`](./map.md#zoom) [`zoomend`](./map.md#zoomend) [`zoomstart`](./map.md#zoomstart)
[`mapboxgl`](./mapboxgl.md) |
[`Marker`](./marker.md) | **Parameters**<br>[`options`](./marker.md#options-object)<br>**Instance Members**<br>[`addTo`](./marker.md#addto-map) [`remove`](./marker.md#remove) [`setActivity`](./marker.md#setactivity-active) [`setLngLat`](./marker.md#setlnglat-lnglat) [`setVisibility`](./marker.md#setvisibility-visible)<br>**Events**<br>[`click`](./marker.md#click) [`mouseenter`](./marker.md#mouseenter) [`mouseleave`](./marker.md#mouseleave)
[`Panel`](./panel.md) | **Parameters**<br>[`options`](./panel.md#options-object)<br>**Instance Members**<br>[`addTo`](./panel.md#addto-map) [`isOpen`](./panel.md#isopen) [`remove`](./panel.md#remove) [`setButtons`](./panel.md#setbuttons-buttons) [`setHTML`](./panel.md#sethtml-html) [`setTitle`](./panel.md#settitle-title)
[`PluginInterface`](./plugin.md) | **Properties**<br>[`clockModes`](./plugin.md#clockmodes-array-string) [`enabled`](./plugin.md#enabled-boolean) [`iconStyle`](./plugin.md#iconstyle-object) [`id`](./plugin.md#id-string) [`name`](./plugin.md#name-object) [`searchModes`](./plugin.md#searchmodes-array-string) [`viewModes`](./plugin.md#viewmodes-array-string)<br>**Instance Members**<br>[`onAdd`](./plugin.md#onadd-map) [`onDisabled`](./plugin.md#ondisabled) [`onEnabled`](./plugin.md#onenabled) [`onRemove`](./plugin.md#onremove-map) [`onVisibilityChanged`](./plugin.md#onvisibilitychanged-visible)
[`Popup`](./popup.md) | **Instance Members**<br>[`addTo`](./popup.md#addto-map) [`remove`](./popup.md#remove) [`setHTML`](./popup.md#sethtml-html) [`setLngLat`](./popup.md#setlnglat-lnglat)
[`Secrets`](./secrets.md) | **Properties**<br>[`tokyochallenge`](./secrets.md#tokyochallenge-string) [`odpt`](./secrets.md#odpt-string)
[`THREE`](./three.md) |
[`ThreeLayerInterface`](./three-layer.md) | **Properties**<br>[`id`](./three-layer.md#id-string) [`lightColor`](./three-layer.md#lightcolor-number-color-string) [`maxzoom`](./three-layer.md#maxzoom-number) [`minzoom`](./three-layer.md#minzoom-number) [`type`](./three-layer.md#type-string)<br>**Instance Members**<br>[`onAdd`](./three-layer.md#onadd-map-context) [`onRemove`](./three-layer.md#onremove-map-context)
